Package org.apache.storm.generated

# Class DistributedRPC.AsyncProcessor.execute<I extends DistributedRPC.AsyncIface>

java.lang.Object
org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPC.execute_args,String>
org.apache.storm.generated.DistributedRPC.AsyncProcessor.execute<I>

Enclosing class:
  DistributedRPC.AsyncProcessor<I extends DistributedRPC.AsyncIface>

public static class DistributedRPC.AsyncProcessor.execute<I extends DistributedRPC.AsyncIface> extends org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPC.execute_args,String>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `execute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DistributedRPC.execute_args`
  `getEmptyArgsInstance()`
  `org.apache.storm.thrift.async.AsyncMethodCallback<String>`
  `getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
  `protected boolean`
  `isOneway()`
  `void`
  `start(I iface, DistributedRPC.execute_args args, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`

  ### Methods inherited from class org.apache.storm.thrift.AsyncProcessFunction

  `getMethodName, sendResponse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### execute

    public execute()

- ## Method Details

  - ### getEmptyArgsInstance

    public DistributedRPC.execute_args getEmptyArgsInstance()
    Specified by:
      `getEmptyArgsInstance` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPC.AsyncIface,DistributedRPC.execute_args,String>`

  - ### getResultHandler

    public org.apache.storm.thrift.async.AsyncMethodCallback<String> getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)
    Specified by:
      `getResultHandler` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPC.AsyncIface,DistributedRPC.execute_args,String>`

  - ### isOneway

    protected boolean isOneway()
    Specified by:
      `isOneway` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPC.AsyncIface,DistributedRPC.execute_args,String>`

  - ### start

    public void start(I iface, DistributedRPC.execute_args args, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `start` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPC.AsyncIface,DistributedRPC.execute_args,String>`
    Throws:
      `org.apache.storm.thrift.TException`